Loading...
Searching...
No Matches
QGpgME::QGpgMEQuickJob Class Reference

`#include <qgpgmequickjob.h>`

Inheritance diagram for QGpgME::QGpgMEQuickJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEQuickJob:
[legend]

## Public Member Functions

| QGpgMEQuickJob (GpgME::Context *context)
void | startAddUid (const GpgME::Key &key, const QString &uid) override
void | startRevUid (const GpgME::Key &key, const QString &uid) override
void | startRevokeSignature (const GpgME::Key &key, const GpgME::Key &signingKey, const std::vector< GpgME::UserID > &userIds=std::vector< GpgME::UserID >()) override
void | startAddAdsk (const GpgME::Key &key, const char *adsk) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< QuickJob, QGpgMEQuickJobPrivate >
void | run ()
Public Member Functions inherited from QGpgME::QuickJob
| QuickJob (std::unique_ptr< QuickJobPrivate >, QObject *parent=nullptr)
GpgME::Error | startCreate (const QString &uid, const QByteArray &algo={}, const QDateTime &expires={}, GpgME::Context::CreationFlags flags=GpgME::Context::CreateUseDefaults)
QGPGME_DEPRECATED void | startCreate (const QString &uid, const char *algo, const QDateTime &expires=QDateTime(), const GpgME::Key &key=GpgME::Key(), unsigned int flags=0)
GpgME::Error | startAddSubkey (const GpgME::Key &key, const QByteArray &algo={}, const QDateTime &expires={}, GpgME::Context::CreationFlags flags=GpgME::Context::CreateUseDefaults)
QGPGME_DEPRECATED void | startAddSubkey (const GpgME::Key &key, const char *algo, const QDateTime &expires=QDateTime(), unsigned int flags=0)
GpgME::Error | startSetKeyEnabled (const GpgME::Key &key, bool enabled)
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< QuickJob, QGpgMEQuickJobPrivate >
typedef ThreadedJobMixin< QuickJob, QGpgMEQuickJobPrivate, std::tuple< GpgME::Error, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::QuickJob
void | result (const GpgME::Error &error, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< QuickJob, QGpgMEQuickJobPrivate >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Interface to the modern key manipulation functions.

## Member Function Documentation

## startAddAdsk()

void QGpgMEQuickJob::startAddAdsk | ( | const GpgME::Key & | key,
|  | const char * | adsk )

override virtual

Start –quick-add-adsk

Implements QGpgME::QuickJob.

## startAddUid()

void QGpgMEQuickJob::startAddUid | ( | const GpgME::Key & | key,
|  | const QString & | uid )

override virtual

Start –quick-adduid

Implements QGpgME::QuickJob.

## startRevokeSignature()

void QGpgMEQuickJob::startRevokeSignature | ( | const GpgME::Key & | key,
|  | const GpgME::Key & | signingKey,
|  | const std::vector< GpgME::UserID > & | userIds = std::vector< GpgME::UserID >() )

override virtual

Starts the operation to revoke the signatures made with the key signingKey on the user IDs userIds of the key key. If userIds is an empty list, then all signatures made with signingKey on the user IDs of key will be revoked.

Implements QGpgME::QuickJob.

## startRevUid()

void QGpgMEQuickJob::startRevUid | ( | const GpgME::Key & | key,
|  | const QString & | uid )

override virtual

Start –quick-revuid

Implements QGpgME::QuickJob.

The documentation for this class was generated from the following files:

- qgpgmequickjob.h
- qgpgmequickjob.cpp